Api Change Log

Application Versions


Changes between 22.12 to 24.12

What's New


  1. POST /syncService/syncDomains Sync PTP clock data from WS-NOC application
  2. POST /service/deleteMultipleServices Supports bulk deletion of Services.
  3. POST /service/decommissionFreqDistributionService decommission frequency distribution service
  4. POST /labels/unassignLabelToWSSService This endpoint allows you to unAssign a label to either PTP or SYNCE services if being attached previously by specifying the proper service ID.
  5. POST /labels/createAndAssignLabelToWSSService This endpoint allows you to create a new label and assign that label to either PTP or SYNCE services by specifying the proper service ID.
  6. POST /labels/assignLabelToWSSService This endpoint allows you to assign a label to either PTP or SYNCE services by specifying the proper service ID.
  7. POST /domainBrowser/exportDomains Export Domains to Csv
  8. GET /pmBrowser/getPortProfileDetailsByServiceID get PTP ports which are associated to the profile for the given service id.
  9. GET /pmBrowser/getAllPortsDetailsByServiceIDForAssociate Get All PTP ports details by giving the service ID as input For associate profile.
  10. GET /linksBrowser/getSubRouteDetailsByTpIds Get SubRoutes based on source and destination tpids for each route
  11. GET /labels/getAllLabelNamesForWSS This endpoint allows you to fetch all the labels required to assign or unAssign those labels to a PTP or SYNCE
  12. GET /internal/sso-shared-common/v1/session-info
  13. GET /cardsBrowser/getShelfOrCardDetailsForFreqDistFromNeId fetches shelf data by passing neid and optional serviceId
  14. GET /cardsBrowser/getCardDetailsForLinerefFromNeIdAndShelfIdAndServiceId fetches selected card data by passing neid and shelf id and service id for frequency distribution service

What's Deleted


  1. GET /resources/common/menu/systemProperty.json null
  2. GET /resources/common/list/GuiProperty.json null
  3. GET /data/plat/usermgt/** null
  4. GET /data/otn/system/getVersion null
  5. GET /preferences/common/guiProperty/{userId} null
  6. GET /nodesBrowser/test test
  7. GET /login null
  8. GET /data/common/sessionInfo null
  9. GET /redirected-to-unreachable-nodes null
  10. PUT /redirected-to-unreachable-nodes null
  11. POST /redirected-to-unreachable-nodes null
  12. DELETE /redirected-to-unreachable-nodes null
  13. PATCH /redirected-to-unreachable-nodes null
  14. HEAD /redirected-to-unreachable-nodes null
  15. OPTIONS /redirected-to-unreachable-nodes null
  16. GET /redirected-to-reachable-nodes null
  17. PUT /redirected-to-reachable-nodes null
  18. POST /redirected-to-reachable-nodes null
  19. DELETE /redirected-to-reachable-nodes null
  20. PATCH /redirected-to-reachable-nodes null
  21. HEAD /redirected-to-reachable-nodes null
  22. OPTIONS /redirected-to-reachable-nodes null
  23. GET /redirected-to-mnc-map null
  24. PUT /redirected-to-mnc-map null
  25. POST /redirected-to-mnc-map null
  26. DELETE /redirected-to-mnc-map null
  27. PATCH /redirected-to-mnc-map null
  28. HEAD /redirected-to-mnc-map null
  29. OPTIONS /redirected-to-mnc-map null
  30. GET /redirected-to-help null
  31. PUT /redirected-to-help null
  32. POST /redirected-to-help null
  33. DELETE /redirected-to-help null
  34. PATCH /redirected-to-help null
  35. HEAD /redirected-to-help null
  36. OPTIONS /redirected-to-help null
  37. GET /redirected-to-common-jobs null
  38. PUT /redirected-to-common-jobs null
  39. POST /redirected-to-common-jobs null
  40. DELETE /redirected-to-common-jobs null
  41. PATCH /redirected-to-common-jobs null
  42. HEAD /redirected-to-common-jobs null
  43. OPTIONS /redirected-to-common-jobs null
  44. GET /redirected-to-alarms null
  45. PUT /redirected-to-alarms null
  46. POST /redirected-to-alarms null
  47. DELETE /redirected-to-alarms null
  48. PATCH /redirected-to-alarms null
  49. HEAD /redirected-to-alarms null
  50. OPTIONS /redirected-to-alarms null

What's Deprecated


What's Changed


  1. GET /serviceBrowser/getServiceById
    • Response

      • Deleted response : [403]//Forbidden
      • Changed response : [200]//Time distribution service details
        • Schema

          Changed body: 'application/json'
  2. GET /portsBrowser/getPorts Searches port Data for time distribution service
    • Parameters

      • Add filter in query//For time distribution service creation/modification, filters for looking up port data and filter keys are nserviceid, neid, clockid, porttype. The nserviceid can be fetched from the REST call - /serviceBrowser/allServices based on the serviceName. neId can be fetched from the REST call - /nodesBrowser/allNodes based on neName. clockId can be taken from the REST call - /clocksBrowser/getClockDetails. porttype can be DATA, TOD or PPSTEST.
    • Response

      • Deleted response : [403]//Forbidden
      • Changed response : [400]//Bad input parameter
        • Changed response : [200]//Search results for given neid and portType
          • Schema

            Changed body: 'application/json'
    • GET /portsBrowser/getPortsParamForFreqDist searches port params data for frequency distribution services
      • Parameters

        • Add cardId in query//card id for which data has to be fetched , card id can be fetched from /cardsBrowser/getCardsFromNeId.
    • GET /portsBrowser/getPortsAndBitsParamForFreqDist searches port params data for frequency distribution service
      • Parameters

        • Add cardId in query//card id for which data has to be fetched , card id can be fetched from /cardsBrowser/getCardsFromNeId.
    • GET /portsBrowser/getFreqPorts searches port Data for frequency distribution services
      • Parameters

        • Add filter in query//For frequency distribution service creation/modification, filters for looking up frequency distribution port data and filter keys are nserviceid, neid, cardid, shelfid nserviceid can be fetched from restcall - serviceBrowser/allServices based on the serviceName , neId can be fetched from restcall - /nodesBrowser/allNodes based on neName , card id can be fetched from /cardsBrowser/getCardsFromNeId.
    • GET /nodesBrowser/getNodesForSyncBySubNetworkId
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//search results for given subnetwork Id
          • Schema

            Changed body: 'application/json'
    • GET /nodesBrowser/getNodesByServiceId
      • Parameters

        • Add filter in query//filters keys for querying node data are nserviceid in time distribution service create/modify flow and nserviceid can be fetched from restcall - serviceBrowser/allServices based on the serviceName.
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//search results for the provided serviceid and neid.
          • Schema

            Changed body: 'application/json'
    • GET /nodesBrowser/getFreqNodesByServiceId searches Node Data based on Service Id for frequency distribution service
      • Parameters

        • Add filter in query//filters keys for querying node data are nserviceid in frequency distribution service create/modify flow and nserviceid can be fetched from restcall - serviceBrowser/allServices based on the serviceName.
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//search results for the provided serviceid and neid.
          • Schema

            Changed body: 'application/json'
    • GET /linerefSyn0SyncOutBits/getSyncOutDetails get SyncOut details of a service based on serviceId , neId along with optional shelfId and cardId
      • Parameters

        • Add cardId in query//pass card id for looking up syncOut details , card id can be fetched from /cardsBrowser/getCardsFromNeId.
        • shelfId in query change into not required
    • GET /linerefSyn0SyncOutBits/getSyncAndBitsDetailsByServiceIdAndNeIdAndShelfId get Sync0, SyncOut and BITS details based on service id and ne id and shelf id and card id
      • Parameters

        • Add cardId in query//pass card id for looking up syncO,syncOut and bits details , card id can be fetched from /cardsBrowser/getCardsFromNeId.
        • shelfId in query change into not required
    • GET /jobs Get count of inprogress , completed and aborted jobs of WSS
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//Jobs Count
          • Schema

            Changed body: 'application/json'
    • GET /cardsBrowser/getCardsFromNeId
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//search results for given neid , neId can be fetched from restcall - /nodesBrowser/allNodes based on neName
          • Schema

            Changed body: 'application/json'
    • GET /bitsPortsBrowser/getBitsPortsParamForFreqDist
      • Parameters

        • Add cardId in query//pass a card id along with ne id & service id for getting card data based on associated clock , card id can be fetched from /cardsBrowser/getCardsFromNeId.
        • shelfId in query change into not required
    • POST /templatesService/unPublishTimeDistributionTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/unPublishFreqDistributionTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/publishTimeDistributionTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/publishFreqDistributionTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/modifyTimeDistTemplate
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Successful modification of time distribution template
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /templatesService/modifyFreqDistTemplate modification of Frequency Distribution Template and send "templateType" as "SYNCE"
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Successful modification of Frequency distribution template
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /templatesService/deleteMultipleTimeDistTemplate Supports bulk deletion of Time Distribution Templates
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/deleteMultipleFreqDistTemplate Supports bulk deletion of Frequency Distribution Templates.
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/createTimeDistTemplate
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /templatesService/createFreqDistTemplate creation of Frequency Distribution Template and send "TemplateType" as "SYNCE".
      • Request

        • Schema

          Changed body: 'application/json'
    • POST /service/saveTimeDistributionServiceClockAndPortInfo
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [201]//Clock and Port info for time distribution service has been successfully saved.
          • Schema

            Changed body: 'application/json'
        • Changed response : [409]//an existing item already exists
          • Schema

            Changed body: 'application/json'
    • POST /service/exportServicesToCsv Export Time Distribution Services in Csv format
      • Request

        • Schema

          Changed body: 'application/json'
      • Response

        • Deleted response : [403]//Forbidden
        • Changed response : [200]//Export Time distribution service details
      • POST /pmService/deleteTCAProfile TCA profile deletion for both PTP and SyncE
        • Request

          • Schema

            Changed body: 'application/json'
      • POST /pmService/createTCAProfile TCA profile creation for both PTP and SyncE
        • Request

          • Schema incompatible

            Changed body: 'application/json'
      • GET /portsBrowser/getLineRefVsPortsForFreqDist
        • Parameters

          • Add cardId in query//card id for which data has to be fetched , card id can be fetched from /cardsBrowser/getCardsFromNeId.
          • shelfId in query change into not required
      • GET /data/timeDist/TimeDistRouteServ2Ds Get routes data of Frequency/Time distribution service
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [200]//Route of Frequency/Time distribution service
            • Schema

              Changed body: 'application/json'
      • POST /syncService/syncNodes The WS-S entities for clock and the corresponding PTP/SyncE port details are synced for the given nodes
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [200]//Successfully triggered sync for the given nodes
            • Schema

              Changed body: 'application/json'
      • POST /service/syncTimeDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Sync of Clock/Port parameters and routes for the time distribution service is successful.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/syncFreqDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Sync of Clock/Port parameters and routes for the frequency distribution service is successful.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/saveFreqDistributionServiceLinerefAndPortInfo
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Lineref and port info for the frequency distribution service have been successfully saved.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/deployTimeDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Time distribution service has been deployed successfully.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/deployFreqDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Frequency distribution service has been deployed successfully.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/deleteTimeDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Time distribution service has been successfully deleted.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/deleteFreqDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Frequency distribution service has been successfully deleted.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/decommissionTimeDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
      • POST /service/deactivateTimeDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Time distribution service has been successfully deactivated.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/dbdeleteTimeDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
      • POST /service/dbdeleteFreqDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
      • POST /service/createTimeDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//The time distribution service has been successfully created.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/createFreqDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//The frequency distribution service has been successfully created.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/createFreqDistributionServiceWithPortDetails
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//The frequency distribution service has been successfully created with port details.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/clearPMTimeDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
      • POST /service/clearPMFreqDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
      • POST /service/activateTimeDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Time distribution service has been successfully activated.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/abortTimeDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Abort the time distribution service was successful.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /service/abortFreqDistributionService
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [201]//Abort the frequency distribution service was successful.
            • Schema

              Changed body: 'application/json'
          • Changed response : [409]//an existing item already exists
            • Schema

              Changed body: 'application/json'
      • POST /pmService/clearTCAProfile Clear TCA profile for PTP
        • Request

          • Schema incompatible

            Changed body: 'application/json'
      • POST /pmService/clearTCAProfileForSyncE clear TCA profile for SyncE services where profile group must be TREFFOFF and profile type must be SyncE
        • Request

          • Schema incompatible

            Changed body: 'application/json'
      • POST /pmService/associateTCAProfile Associate TCA profile for PTP
        • Request

          • Schema incompatible

            Changed body: 'application/json'
      • POST /pmService/associateTCAProfileForSyncE Associate TCA profile for SyncE services where profile group must be TREFFOFF and profile type must be SyncE
        • Request

          • Schema incompatible

            Changed body: 'application/json'
      • POST /discoveryService/discovery discover PTP, SyncE clock data from WS-S application
        • Parameters

          • Add discoveryType in query//Holds discovery type for discovering PTP, SyncE or Both services. Accepted values are "PTP","SyncE","PTPAndSyncE".
        • Request

          • Schema

            Changed body: 'application/json'
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [200]//Successfully triggered WS-S Discovery operation
            • Schema

              Changed body: 'application/json'
      • GET /serviceBrowser/getServiceDetailsById Get Time distribution Service Details By Id
        • Response

          • Deleted response : [403]//Forbidden
          • Changed response : [200]//Time distribution service details
            • Schema incompatible

              Changed body: 'application/json'

              Missing property: clocks[n].todportdetails[n].pssStatus (string)

              Missing property: clocks[n].todportdetails[n].pssFormat (string)

              Missing property: clocks[n].clockdataset[n].defaultdataset[n].adminState (string)

              Missing property: clocks[n].clockdataset[n].currentdataset[n].currentTime (string)

              Missing property: clocks[n].clockdataset[n].timepropertiesdataset[n].syncUncertainMon (string)